Bug 843296 - Cannot type in text input fields
Cannot type in text input fields
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
17
x86_64 Linux
high Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 844337 845721 845953 848352 855593 858974 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 21:21 EDT by Stephen Satchell
Modified: 2013-07-04 03:53 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 03:53:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Satchell 2012-07-25 21:21:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Pidgin 2.10.5-1.fc17 (libpurple 2.10.5)

How reproducible:
Every time

Steps to Reproduce:
1. Start Pidgin
2. Send IM message (successful)
3. Change status
4. Try to send IM message (fails)
  
Actual results:
In step (4), cursor appears in IM window, but keystrokes don't appear
After change from "away" to "available", incoming IM messages do not generate sound.

Expected results:
In step (4), expect to type and send IM messages; incoming IM messages to make sound when new message arrives.

Additional info:
Problem started after update that occurred at or after 17 July 2012

Workaround: open and close Tools/Preferences window (don't need to modify anything) after changing status, Pidgin starts working as expected.

Tried downgrade to prior version of Pidgin, issue still present.  Suggests problem may not be in Pidgin per se.
Comment 1 Stephen Satchell 2012-07-27 10:23:53 EDT
New observation: the inability to type text also extends to changing the status text.  The same workaround, opening and closing the Preferences window, enables text to be typed into the field.
Comment 2 Jan Synacek 2012-07-30 06:45:58 EDT
*** Bug 844337 has been marked as a duplicate of this bug. ***
Comment 3 Volker Sobek 2012-08-05 16:31:49 EDT
This issue was fixed in gtk2 recently, but no new version has been released yet.

http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=a9fb816a3f64227936f4b25882e4f20ab5018c9c
Comment 4 Jan Synacek 2012-08-06 01:18:47 EDT
*** Bug 845721 has been marked as a duplicate of this bug. ***
Comment 5 Jan Synacek 2012-08-15 07:07:07 EDT
*** Bug 848352 has been marked as a duplicate of this bug. ***
Comment 6 Jan Synacek 2012-09-10 03:43:13 EDT
*** Bug 855593 has been marked as a duplicate of this bug. ***
Comment 7 Germano Massullo 2012-09-25 08:28:27 EDT
(In reply to comment #3)
> This issue was fixed in gtk2 recently, but no new version has been released
> yet.
> 
> http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-
> 24&id=a9fb816a3f64227936f4b25882e4f20ab5018c9c

Are we sure it is a gtk bug?
What about upstream bugzilla?
Comment 8 Jan Synacek 2012-09-26 03:59:51 EDT
*** Bug 858974 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Wickert 2012-09-28 11:48:36 EDT
(In reply to comment #3)
> This issue was fixed in gtk2 recently, but no new version has been released
> yet.

I have built gtk2-2.24.11 for Fedora for testing. With this version, the behavior becomes completely crazy. I go offline, close pidgin and when I start it again, it goes online while the status dropdown still says offline. The problem with the reconnects however seems gone.

You can find my gtk2 packages at
http://koji.fedoraproject.org/scratch/cwickert/task_4527781/
Comment 10 Christoph Wickert 2012-10-03 14:50:15 EDT
This is definitely a GTK issue, because it affects gobby-0.4.12-5.fc17, too. The chat function is completely useless, one cannot type in the input area.

Reassigning to gtk2 and raising severity as it renders (at least) two programs almost useless.
Comment 11 Christoph Wickert 2012-10-03 15:01:03 EDT
The offending update is https://admin.fedoraproject.org/updates/FEDORA-2012-10717/gtk2-2.24.11-1.fc17
Comment 12 Michael Cronenworth 2012-10-11 10:09:20 EDT
The fix is in GTK 2.24.12. F18+ have this update. Can someone push at least .12 (maybe .13?) to F17?
Comment 13 fujiwara 2012-10-11 21:31:02 EDT
*** Bug 845953 has been marked as a duplicate of this bug. ***
Comment 14 Andy Campbell 2012-10-16 04:08:29 EDT
Right click, reset formatting - also seems to be a quick work around.

I'll be glad when it's fixed.
Comment 15 Plamen Vladimiroff 2012-10-17 02:00:27 EDT
Just opening conversation window menu with the mouse also do...
Comment 16 Fedora Update System 2012-10-18 11:45:20 EDT
gtk2-2.24.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gtk2-2.24.13-1.fc17
Comment 17 Fedora Update System 2012-10-18 18:27:07 EDT
Package gtk2-2.24.13-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk2-2.24.13-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16441/gtk2-2.24.13-1.fc17
then log in and leave karma (feedback).
Comment 18 The Source 2012-10-19 03:14:04 EDT
Works for me with that package, problem's gone.
Comment 19 Fedora End Of Life 2013-07-04 03:39:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Michael Cronenworth 2013-07-04 03:53:44 EDT
Somehow Bodhi failed to close this one.

Note You need to log in before you can comment on or make changes to this bug.